From 5d5753551609f1483801e5edd8d42b11713c981e Mon Sep 17 00:00:00 2001
From: Adam Jackson <ajax@redhat.com>
Date: Mon, 19 Dec 2011 16:18:34 -0500
Subject: [PATCH 8/9] Fall back to shadowfb if XAA is unavailable

Signed-off-by: Adam Jackson <ajax@redhat.com>
---
 src/ct_driver.c |    7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/src/ct_driver.c b/src/ct_driver.c
index a2e5c94..95092a2 100644
--- a/src/ct_driver.c
+++ b/src/ct_driver.c
@@ -1345,10 +1345,9 @@ CHIPSPreInit(ScrnInfoPtr pScrn, int flags)
     
     if (cPtr->Flags & ChipsAccelSupport) {
 	if (!xf86LoadSubModule(pScrn, "xaa")) {
-	    vbeFree(cPtr->pVbe);
-	    cPtr->pVbe = NULL;
-	    CHIPSFreeRec(pScrn);
-	    return FALSE;
+	    xf86DrvMsg(pScrn->scrnIndex, X_INFO, "Falling back to shadowfb\n");
+	    cPtr->Flags &= ~(ChipsAccelSupport);
+	    cPtr->Flags |= ChipsShadowFB;
 	}
     }
 
-- 
1.7.9.4

